Page MenuHomePhabricator

Remove obsolete `-moz-inline-block` property from places
Closed, ResolvedPublic

Description

Vector's .mw-indicator rule from common.less contains obsolete -moz-inline-block, that was not longer supported by Firefox 3.0/Gecko 1.9 (rel. 2008) and has even been explicitely not recommended by people at Mozilla.
Let's remove it.

Event Timeline

Volker_E created this task.Jun 23 2015, 9:27 PM
Volker_E updated the task description. (Show Details)
Volker_E raised the priority of this task from to Lowest.
Volker_E claimed this task.
Volker_E added a project: Vector.
Volker_E added subscribers: Volker_E, Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 9:27 PM

Change 220324 had a related patch set uploaded (by VolkerE):
Removing obsolete -moz-inline-block property

https://gerrit.wikimedia.org/r/220324

Change 220324 merged by jenkins-bot:
Removing obsolete -moz-inline-block property

https://gerrit.wikimedia.org/r/220324

Jdforrester-WMF closed this task as Resolved.Jun 25 2015, 12:22 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

As I understand it, we're dropping support for Firefox 2? If yes, there are a few display: -moz-inline-blocks in MediaWiki core that should also be removed, and https://www.mediawiki.org/wiki/Compatibility#Browser_support_matrix needs an update.

@matmarex Thanks for bringing that up, I think there needs to be clarification on the browser support matrix. Have been talking to @Prtksxna about that already and will reach out to you and others in follow-ups. It's also debatable if getting rid of this kinda buggy vendor property doesn't still enable Firefox 2.0 to be a Grade C browser that "may lack certain visual features".

I would pledge for cleaning up and removing Firefox 2.0-only -moz-inline-block occurences from current codebase.

@matmarex So, patch https://gerrit.wikimedia.org/r/#/c/220701/2/ for adding pre-wrap on pre also leaves out support for Firefox <= 3.0. I think, it's time to let Firefox 2 and all lower than 3.0 (or even 3.6) specific CSS rules go without tears.

@matmarex There are five other occurrences of -moz-inline-block in
Mediawiki core.

Sr. UX Engineer
Wikimedia Foundation

matmarex renamed this task from Remove obsolete `-moz-inline-block` property from Vector to Remove obsolete `-moz-inline-block` property from places.Jul 3 2015, 10:35 AM
matmarex reopened this task as Open.
matmarex edited projects, added MediaWiki-Interface; removed Patch-For-Review.
matmarex set Security to None.

Alright, let's do it then. I changed the mw.org page on Compatibility: https://www.mediawiki.org/w/index.php?title=Compatibility&diff=next&oldid=1698232

Change 222561 had a related patch set uploaded (by Bartosz Dziewoński):
Removing obsolete -moz-inline-block property

https://gerrit.wikimedia.org/r/222561

@matmarex Thanks for caring about those immediately. Regarding the change on Compatibility page, as I said, I think 2.0 would --even with those changes-- still fall under the 'may lack certain visual features' category.
But leaving it with 3.0+ is for sure fine as well.

Hmm, I have no strong opinion on this, actually. But I'm pretty sure no one actually tests anything on Firefox 2, ever. I have Firefox 3.6 installed and test it occasionally, but not 2.

I think it's also kinda a nice surprise, if it still works for people who use Firefox 2.0 even if we're saying it's not. Therefore leaving it at 3.0+ works. Actually 3.6+ was such a great leap, that I'd go next for Grade C to this version and review the JS/CSS for code specifically targeting Firefox before 3.6+

Change 222561 merged by jenkins-bot:
Removing obsolete -moz-inline-block property

https://gerrit.wikimedia.org/r/222561

matmarex closed this task as Resolved.Jul 5 2015, 8:30 PM
matmarex removed a project: Patch-For-Review.